=== debian/control ===
Source: knotifications
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.16~),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 5.116.0~),
               libcanberra-dev,
               libdbusmenu-qt5-dev,
               libkf5config-dev (>= 5.116.0~),
               libkf5coreaddons-dev (>= 5.116.0~),
               libkf5windowsystem-dev (>= 5.116.0~),
               libphonon4qt5-dev (>= 4:4.6.60~),
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               libqt5x11extras5-dev (>= 5.15.2~),
               pkgconf,
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/knotifications
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knotifications
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knotifications.git

Package: libkf5notifications-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5notifications5 (<< 5.74),
Replaces: libkf5notifications5 (<< 5.74),
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 This package contains the translations.

Package: libkf5notifications-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.116.0~),
         libkf5coreaddons-dev (>= 5.116.0~),
         libkf5notifications5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.116.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Breaks: libkf5kdelibs4support-dev (<< 5.54),
        libkf5khtml-dev (<< 5.54),
        libkf5parts-dev (<< 5.54),
Recommends: libkf5notifications-doc (= ${source:Version}),
Multi-Arch: same
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 Contains debug symbols for KNotifications.

Package: libkf5notifications-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5notifications5
Architecture: any
Multi-Arch: same
Depends: libkf5notifications-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: frameworkintegration (<< 5.54),
        kio (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml5 (<< 5.54),
        libkf5plasma5 (<< 5.54),
        libkf5wallet-bin (<< 5.54),
        libkwalletbackend5-5 (<< 5.54),
        plasma-framework (<< 5.54),
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.

Package: qml-module-org-kde-notifications
Depends: libkf5notifications5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Architecture: any
Multi-Arch: same
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 This package contains the QML module.
