## knotifications 5.116.0+p24.04+vstable+git20251020.0032

=== debian/changelog ===
knotifications (5.116.0+p24.04+vstable+git20251020.0032-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:32:40 +0000
