=== debian/control ===
Source: knotifications
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               dbus-x11,
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libcanberra-dev,
               libdbusmenu-qt5-dev,
               libkf5codecs-dev (>= 5.51.0~),
               libkf5config-dev (>= 5.51.0~),
               libkf5coreaddons-dev (>= 5.51.0~),
               libkf5windowsystem-dev (>= 5.51.0~),
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               libqt5x11extras5-dev (>= 5.8.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               pkgconf,
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/knotifications
Vcs-Git: https://invent.kde.org/neon/kde/knotifications.git
Vcs-Browser: https://invent.kde.org/neon/kde/knotifications
Maintainer: Neon CI <neon@kde.org>

Package: libkf5notifications-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 This package contains the translations.

Package: libkf5notifications-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.51.0~),
         libkf5coreaddons-dev (>= 5.51.0~),
         libkf5notifications5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.51.0~),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends}
Breaks: libkf5kdelibs4support-dev (<< 5.51),
        libkf5khtml-dev (<< 5.51),
        libkf5notifications-doc (<< 5.61.90-0),
        libkf5parts-dev (<< 5.51)
Replaces: libkf5notifications-doc (<< 5.61.90-0)
Recommends: libkf5notifications-doc (= ${source:Version})
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 Contains debug symbols for KNotifications.

Package: libkf5notifications-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5notifications5
Architecture: any
Multi-Arch: same
Depends: libkf5notifications-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: frameworkintegration (<< 5.51),
        kio (<< 5.51),
        libkf5kdelibs4support5 (<< 5.51),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml5 (<< 5.51),
        libkf5notifications-data (<< 5.53.0),
        libkf5plasma5 (<< 5.51),
        libkf5wallet-bin (<< 5.51),
        libkwalletbackend5-5 (<< 5.51),
        plasma-framework (<< 5.51)
Replaces: libkf5notifications-data (<< 5.53.0)
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.

Package: qml-module-org-kde-notification
Architecture: any
Multi-Arch: same
Depends: libkf5notifications5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 This package contains the QtQuick QML module.

Package: qml-module-org-kde-notifications
Architecture: all
Depends: libkf5notifications5, qml-module-org-kde-notification, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
