## knotifications 5.116.0+p24.04+vstable+git20251226.0147

=== debian/changelog ===
knotifications (5.116.0+p24.04+vstable+git20251226.0147-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 01:47:32 +0000
