## knotifications 5.116.0+p24.04+vunstable+git20251020.0215

=== debian/changelog ===
knotifications (5.116.0+p24.04+vunstable+git20251020.0215-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:16:04 +0000
