## knotifications 5.116.0+p24.04+vunstable+git20251224.0656

=== debian/changelog ===
knotifications (5.116.0+p24.04+vunstable+git20251224.0656-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 06:56:10 +0000
