## knotifications 5.116.0+p24.04+vunstable+git20260105.1203

=== debian/changelog ===
knotifications (5.116.0+p24.04+vunstable+git20260105.1203-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 12:03:35 +0000
